py_flowtime.d(1m)

NAME
py_flowtime.d - snoop Python functions with flow and delta times.

SYNOPSIS
py_flowtime.d

DESCRIPTION
This traces shell activity from Python programs on the system that are running with Python provider support. This watches Python function entries and returns, and indents child function calls. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Python provider, which may change as additional features are introduced. Check Python/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # py_flowtime.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this function belongs to

DELTA(us)
    Elapsed time from previous line to this line

FUNC
    Python function name

LEGEND

->  function entry

<-  function return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
py_flowtime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)